# Uses of Interface
org.eclipse.emf.cdo.session.CDOSessionInvalidationEvent

Packages that use CDOSessionInvalidationEvent
Package
Description
org.eclipse.emf.spi.cdo
Client service provider interfaces and useful base implementations.

## Uses of CDOSessionInvalidationEvent in org.eclipse.emf.spi.cdo

Subinterfaces of CDOSessionInvalidationEvent in org.eclipse.emf.spi.cdo
Modifier and Type
Interface
Description
`interface`
`InternalCDOSessionInvalidationEvent`
A `session invalidation event` with `security impact information`.
Methods in org.eclipse.emf.spi.cdo that return CDOSessionInvalidationEvent
Modifier and Type
Method
Description
`CDOSessionInvalidationEvent`
CDOSessionInvalidationEventQueue.`poll()`
Removes and returns the first event from this queue.
`CDOSessionInvalidationEvent`
CDOSessionInvalidationEventQueue.`remove(long timestamp)`
Methods in org.eclipse.emf.spi.cdo with parameters of type CDOSessionInvalidationEvent
Modifier and Type
Method
Description
`protected void`
CDOSessionInvalidationEventQueue.`handleEvent(CDOSessionInvalidationEvent event)`